<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package wordifyVibrant
 * @subpackage wordify Blog
 * @since 1.0.0
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>
<div class="pt-5">
	<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) :
	?>
    <h3 class="mb-5"><?php
      $comments_number = get_comments_number();
      if ( '1' === $comments_number ) {
        printf( _x( 'One Comments on &ldquo;%s&rdquo;', 'comments title', 'wordify' ), get_the_title() );
      } else {
        printf(
          _nx(
            '%1$s Comment on &ldquo;%2$s&rdquo;',
            '%1$s Comments on &ldquo;%2$s&rdquo;',
            $comments_number,
            'comments title',
            'wordify'
          ),
          number_format_i18n( $comments_number ),
          get_the_title()
        );
      }
    ?></h3>
    <ul class="comment-list">

        <?php 
	        wp_list_comments( array(
	          'walker'            => null,
	          'max_depth'         => '',
	          'style'             => 'ul',
	          'callback'          => 'wordify_comment',
	          'end-callback'      => null,
	          'type'              => 'all',
	          'reply_text'        => 'Reply',
	          'page'              => '',
	          'per_page'          => '',
	          'avatar_size'       => 50,
	          'reverse_top_level' => null,
	          'reverse_children'  => '',
	          'format'            => 'html5', // or 'xhtml' if no 'HTML5' theme support
	          'short_ping'        => false,   // @since 3.6
	          'echo'              => true     // boolean, default is true
	        ));
	      ?>
    </ul>
    <?php 

    if( get_comment_pages_count() > 1 && get_option( 'page_comments' )) : 

    the_comments_pagination(
        array(
            'prev_text' => __( 'Previous', 'wordify'),
            'next_text' => __( 'Next', 'wordify' ),
        )
    );

    endif; endif; // Check for have_comments(). 

    // If comments are closed and there are comments, let's leave a little note, shall we?
    if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
        ?>
        <p class="no-comments"><?php _e( 'Comments are closed.', 'wordify' ); ?></p>
        <?php
    endif;

    // Comments Form 

 
        $commenter     = wp_get_current_commenter();
        $req           = get_option( 'require_name_email' );
        $aria_req      = $req ? " aria-required='true'" : '';
        $required_text = ' ';

        $fields = array(
            'author' => '<div class="form-group"><label for="name">Name *</label><input type="text" class="form-control" name="author" id="author" aria-required="true"></div>',

            'email'  => '<div class="form-group"><label for="email">Email *</label><input type="email" class="form-control" id="email" name="email" aria-required="true"></div>',

            'url'    => '<div class="form-group"><label for="website">Website</label><input type="url" class="form-control" id="url" name="url" aria-required="true"></div>'
        );


        $args = array(
            'submit_button' => '<div class="form-group"><button class="btn btn-primary" name="submit" type="submit" id="submit" value="" >'.esc_html__('Submit', 'wordify').'</button></div>',

            'cancel_reply_link' => esc_html__('Cancel Reply','wordify'),

            'class_form'   => 'form-group',

            'fields'       => apply_filters( 'comment_form_default_fields', $fields ),

            'comment_field'=> '<div class="form-group"><label for="message">Message</label><textarea name="comment" id="comment" aria-required="true" cols="30" rows="10" class="form-control"></textarea></div>'
        );

        comment_form($args); 
    ?>
 
</div>