<?php 

// Custom Products Comments Template

function wordify_comment($comment, $args, $depth) {
    if ( 'div' === $args['style'] ) {
        $tag       = 'li';
        $add_below = 'media';
    } else {
        $tag       = 'li';
        $add_below = 'div-comment';
    }?>
    <<?php echo $tag; ?> class="comment" id="comment-<?php comment_ID() ?>">
        <div class="vcard">
            <?php 
                if ( $args['avatar_size'] != 0 ) {
                    echo get_avatar( $comment, $args['avatar_size'] ); 
                } 
            ?>
        </div>
        <div class="comment-body">
            <h3><?php printf( get_comment_author_link() );?></h3>
            <div class="meta">
            <?php 
				$d = "F d, Y";
				$comment_id = get_comment_ID();
				$comment_date = get_comment_date( $d, $comment_id );
				echo $comment_date;
				// This will output something similar to "Saturday, November 6th, 2010". 
			?>
            </div>
            <?php comment_text(); ?>
            <?php edit_comment_link( __( 'Edit','wordify' ), '', '' ); ?>
            <?php 
		    $myclass = 'reply rounded';
		    echo preg_replace( '/comment-reply-link/', 'comment-reply-link ' . $myclass, 
		    get_comment_reply_link(array_merge( $args, array(
		        'add_below' => $add_below, 
		        'depth'     => $depth, 
		        'max_depth' => $args['max_depth']))
		    ), 1 ); 
            ?>
        </div>
    </<?php echo $tag; ?>>
    <?php
} 

function wpb_move_comment_field_to_bottom( $fields ) {
	$comment_field = $fields['comment'];
	unset( $fields['comment'] );
	$fields['comment'] = $comment_field;
	return $fields;
}
add_filter( 'comment_form_fields', 'wpb_move_comment_field_to_bottom' );

