<?php
/**
 * Sample implementation of the Custom Header feature
 *
 * You can add an optional custom header image to header.php like so ...
 *
 * @link https://developer.wordpress.org/themes/functionality/custom-headers/
 *
 * @package wordifyVibrant
 * @subpackage wordify Custom Header
 * @since 1.0.0
 */
function custom_header_sections(){
	?>
	<header role="banner">
        <?php 
        /**
		 * Implement the Custom Header topbar feature.
		 */
		if(true === get_theme_mod('icon_visibility')) : ?>
		<div class="top-bar">
		    <div class="container">
		        <div class="row">
			        <div class="col-9 social">
			          	<?php 
		                    echo (get_theme_mod('twitter_link') != '') ? '<a href="'.get_theme_mod('twitter_link').'" target="_blank"><span class="fa fa-twitter"></span></a>' : '';
		                    echo (get_theme_mod('twitter_link') != '') ? '<a href="'.get_theme_mod('facebook_link').'" target="_blank"><span class="fa fa-facebook"></span></a>' : '';
		                    echo (get_theme_mod('twitter_link') != '') ? '<a href="'.get_theme_mod('instagram_link').'" target="_blank"><span class="fa fa-instagram"></span></a>' : '';
		                    echo (get_theme_mod('twitter_link') != '') ? '<a href="'.get_theme_mod('youtube_play_link').'" target="_blank"><span class="fa fa-youtube-play"></span></a>' : '';
			          	?>
			        </div>
			        <div class="col-3 search-top">
			            <form action="<?php echo esc_url(site_url()); ?>" method="GET" class="search-top-form">
			              <span class="icon fa fa-search"></span>
			              <input type="text" name="s" id="s" placeholder="Type keyword to search...">
			            </form>        
			        </div>
		        </div>
		    </div>
		</div>
		<?php endif;
		/**
		 * Implement the Custom Header logo Sections.
		 */
		?>
		<div class="container logo-wrap">
		    <div class="row pt-5">
		        <div class="col-12 text-center">
			        <a class="absolute-toggle d-block d-md-none" data-toggle="collapse" href="#navbarMenu" role="button" aria-expanded="false" aria-controls="navbarMenu"><span class="burger-lines"></span></a>
			        <?php 
		            if( true === get_theme_mod('logoimg_visibility')) : 
			        echo (get_theme_mod('logo_image') != '') ? '<div class="logo-header"><a href="'.get_site_url().'"><img src="'.get_theme_mod('logo_image').'" alt="Logo"></a></div>' : ''; 
			        endif;
			        if( true === get_theme_mod('logotext_visibility')) : 
		            ?>
		            <h1 class="site-logo"><a href="<?php site_url(); ?>"><?php echo get_theme_mod('logo_text'); ?></a></h1>
		            <?php 
			        endif;
			        ?>
			    </div>
		    </div>
		</div>
		<?php 
		/**
		 * Implement the Custom Header logo Sections.
		 */
        ?>
        <nav class="navbar navbar-expand-md  navbar-light bg-light">
		    <div class="container">
		        <div class="collapse navbar-collapse" id="navbarMenu">
		        	<?php 
		                wp_nav_menu( array( 
		                	'theme_location' => 'wordify_primary_menu', 
		                	'container'      => '',
		                	'menu_class'     => 'navbar-nav mx-auto',
		                	'menu_id'        => 'primary-menu', 
		                	'walker'         => new wp_bootstrap_navwalker(),
		                ) ); 
		            ?>
		        </div>
		    </div>
		</nav>
	</header>
	<?php 
}
