<?php
/**
 * wordify General Settings panel at Theme Customizer
 *
 * @package wordifyVibrant
 * @subpackage wordify General Settings
 * @since 1.0.0
 */

add_action('customize_register', 'general_settings_customizer');

function general_settings_customizer($wp_customize) {
    //adding section in wordpress customizer   
    $wp_customize->add_section('general_settings_section', array(
        'title'          => 'General Settings',
        'priority' => 5
    ));


    $wp_customize->add_setting('logoimg_visibility', array(
        'default' => true,
        'transport' => 'refresh',
        'sanitize_callback'  => 'esc_attr',
    ));

    $wp_customize->add_control('logoimg_visibility', array(
        'label'   => 'Show Logo Image',
        'section' => 'general_settings_section',
        'type'    => 'checkbox',
    ));

    $wp_customize->add_setting('logotext_visibility', array(
        'default' => false,
        'transport' => 'refresh',
        'sanitize_callback'  => 'esc_attr',
    ));

    $wp_customize->add_control('logotext_visibility', array(
        'label'   => 'Show Logo Text',
        'section' => 'general_settings_section',
        'type'    => 'checkbox',
    ));


    //adding setting for logo image text
    $wp_customize->add_setting('logo_image', array(
        'default'        => '',
        'transport'      => 'refresh',
        'sanitize_callback'  => 'esc_attr',
    ));

    $wp_customize->add_control(
        new WP_Customize_Image_Control($wp_customize,'logo_image',array(
            'section'  => 'general_settings_section',
            'label'    => 'Upload Logo',
            'settings' => 'logo_image'
        ))
    );

    //adding setting for logo text text
    $wp_customize->add_setting('logo_text', array(
        'default'           => 'wordify',
        'transport'         => 'postMessage',
        'sanitize_callback'  => 'esc_attr',
    ));

    $wp_customize->add_control('logo_text', array(
        'label'   => 'Logo Text',
        'section' => 'general_settings_section',
        'type'    => 'text',
    ));
    /*-----------------------------------------------------------------------------------------------------------------------*/
    /**
     * Color option for theme
     *
     * @since 1.0.0
     */
    $wp_customize->add_setting(
        'wordify_blog_theme_color',
        array(
            'default'     => '#6610f2',
            'sanitize_callback' => 'sanitize_hex_color',
        )
    ); 
    $wp_customize->add_control( new WP_Customize_Color_Control(
        $wp_customize,
            'wordify_blog_theme_color',
            array(
                'label'      => __( 'Theme Color', 'wordify' ),
                'section'    => 'colors',
                'priority'   => 5
            )
        )
    );
}