<?php
/**
 * wordify Header Settings panel at Theme Customizer
 *
 * @package wordifyVibrant
 * @subpackage wordify Custom Header
 * @since 1.0.0
 */
add_action('customize_register', 'header_customizer');

function header_customizer($wp_customize) {

    $wp_customize->add_section('social_link_section', array(
        'title'    => 'Topbar Header',
        'priority' => 20
    ));

    
    $wp_customize->add_setting('icon_visibility', array(
        'default' => true,
        'transport' => 'refresh',
        'sanitize_callback'  => 'esc_attr',
    ));

    $wp_customize->add_control('icon_visibility', array(
        'label'   => 'Show Socials Link',
        'section' => 'social_link_section',
        'type'    => 'checkbox',
    ));


    $wp_customize->add_setting('facebook_link', array(
        'default' => 'https://www.facebook.com/',
        'transport' => 'refresh',
        'sanitize_callback'  => 'esc_attr',
    ));

    $wp_customize->add_control('facebook_link', array(
        'label'   => 'Facebook',
        'section' => 'social_link_section',
        'type'    => 'text',
    ));

    $wp_customize->add_setting('twitter_link', array(
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback'  => 'esc_attr',
    ));

    $wp_customize->add_control('twitter_link', array(
        'label'   => 'Twitter',
        'section' => 'social_link_section',
        'type'    => 'text',
    ));

    $wp_customize->add_setting('instagram_link', array(
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback'  => 'esc_attr',
    ));

    $wp_customize->add_control('instagram_link', array(
        'label'   => 'Instagram',
        'section' => 'social_link_section',
        'type'    => 'text',
    ));

    $wp_customize->add_setting('youtube_play_link', array(
        'default' => '#',
        'transport' => 'refresh',
        'sanitize_callback'  => 'esc_attr',
    ));

    $wp_customize->add_control('youtube_play_link', array(
        'label'   => 'Youtube Play',
        'section' => 'social_link_section',
        'type'    => 'text',
    ));
}