<?php 
/**
 * Sample implementation of the Custom meta boxes
 *
 * You can add an optional custom header image to metabox.php like so ...
 *
 * @link https://developer.wordpress.org/plugins/metadata/custom-meta-boxes/
 *
 * @package wordifyVibrant
 * @subpackage wordify Custom Header
 * @since 1.0.0
 */
// CUSTOM FEATURED POSTS

function post_custom_meta() {
    add_meta_box( 'cs_meta', __( 'Slider Post', 'wordify' ), 'cs_meta_callback', 'post' );
}
function cs_meta_callback( $post ) {
    $featured = get_post_meta( $post->ID );
    ?>
    <p>
	    <div class="sm-row-content">
	        <label for="meta-checkbox">
	            <input type="checkbox" name="meta-checkbox" id="meta-checkbox" value="yes" <?php if ( isset ( $featured['meta-checkbox'] ) ) checked( $featured['meta-checkbox'][0], 'yes' ); ?> />
	            <?php _e( 'Add This Post Slider', 'wordify' )?>
	        </label>
	        
	    </div>
	</p>
    <?php
}
add_action( 'add_meta_boxes', 'post_custom_meta' );
/**
 * Saves the custom meta input
 */
function cs_meta_save( $post_id ) {
 
    // Checks save status
    $is_autosave = wp_is_post_autosave( $post_id );
    $is_revision = wp_is_post_revision( $post_id );
    $is_valid_nonce = ( isset( $_POST[ 'sm_nonce' ] ) && wp_verify_nonce( $_POST[ 'sm_nonce' ], basename( __FILE__ ) ) ) ? 'true' : 'false';
 
    // Exits script depending on save status
    if ( $is_autosave || $is_revision || !$is_valid_nonce ) {
        return;
    }
	// Checks for input and saves
	if( isset( $_POST[ 'meta-checkbox' ] ) ) {
	    update_post_meta( $post_id, 'meta-checkbox', 'yes' );
	} else {
	    update_post_meta( $post_id, 'meta-checkbox', '' );
	} 
}
add_action( 'save_post', 'cs_meta_save' );


