<?php
/**
 * CV: Author Info
 *
 * Widget show the about us footer
 *
 * @package wordifyVibrant
 * @subpackage wordify Custom footer one
 * @since 1.0.0
 */

class about_us_footer_widget extends WP_Widget{
    public function __construct(){
        parent:: __construct('about_us_footer_widget','CV: About Us', array(
            'description' => __('Select the user to display the About Us.', 'wordify')
        ));
    }
    public function widget($args, $instance){
        echo $args['before_widget'].$args['before_title'].$instance['about_title'].$args['after_title']; 
        
        echo ($instance['about_image'] != '') ? '<p class="mb-4"><img src="'.$instance['about_image'].'" alt="Image placeholder" class="img-fluid"></p>' : '';

        echo ($instance['about_content'] != '') ? '<p>'.$instance['about_content'].'</p>' : '';

        echo $args['after_widget'];
    }
    public function form($instance){ 
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('about_title'); ?>"><?php echo esc_html__('Title:','wordify');?> </label>
            <input type="text" name="<?php echo $this->get_field_name('about_title'); ?>" id="<?php echo $this->get_field_id('about_title'); ?>" class="widefat" value="<?php echo $instance['about_title'];?>">
        </p>
        <p>
            <label for=""><?php _e('About Image:','wordify'); ?> </label>
            <button class="button button-primary" id="about_image"><?php _e('Upload Image:','wordify'); ?></button>
            <input type="hidden" name="<?php echo $this->get_field_name('about_image'); ?>" value="<?php echo $instance['about_image'];?>" class="about_image">
            <div class="image_show">
               <img src="<?php echo $instance['about_image'];?>" width="100" height="auto" alt="">
            </div>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('about_content'); ?>"><?php _e('Content:','wordify'); ?> </label>
            <textarea class="widefat" id="<?php echo $this->get_field_id('about_content'); ?>" name="<?php echo $this->get_field_name('about_content'); ?>" style="height: 115px;"><?php echo $instance['about_content'];?></textarea>
        </p>
        <?php 
    }
} 