<?php
/**
 * CV: Author Info
 *
 * Widget show the author information
 *
 * @package wordifyVibrant
 * @subpackage wordify Custom Header
 * @since 1.0.0
 */

class author_info_widget extends WP_Widget{
    public function __construct(){
        parent:: __construct('author_info_widget','CV: Author Info', array(
            'description' => __('Select the user to display the author info.', 'wordify')
        ));
    }
    public function widget($args, $instance){
        echo $args['before_widget']; ?>
            <div class="bio text-center">
                <img src="<?php echo $instance['author_image'];?>" alt="Image Placeholder" class="img-fluid">
                <div class="bio-body">
                    <h2><?php echo $instance['author_name'];?></h2>
                    <p><?php echo $instance['author_desc'];?></p>
                    <p><a href="<?php echo $instance['cv_link'];?>" class="btn btn-primary btn-sm rounded" target="_blank">Read my bio</a></p>
                    <p class="social">
                        <?php 
                        echo ($instance['au_facebook'] != '') ? '<a href="'.$instance['au_facebook'].'" class="p-2" target="_blank"><span class="fa fa-facebook"></span></a>' : '';

                        echo ($instance['au_twitter'] != '') ? '<a href="'.$instance['au_twitter'].'" class="p-2" target="_blank"><span class="fa fa-twitter"></span></a>' : '';

                        echo ($instance['au_instagram'] != '') ? '<a href="'.$instance['au_instagram'].'" class="p-2" target="_blank"><span class="fa fa-instagram"></span></a>' : '';

                        echo ($instance['au_youtube_play'] != '') ? '<a href="'.$instance['au_youtube_play'].'" class="p-2" target="_blank"><span class="fa fa-instagram"></span></a>' : '';
                        ?>
                    </p>
                </div>
            </div>
        <?php echo $args['after_widget'];
    }
    public function form($instance){ 
        ?>
        <p>
            <label for=""><?php _e('Author Image:','wordify'); ?> </label>
            <button class="button button-primary" id="author_logo_image"><?php _e('Upload Image:','wordify'); ?></button>
            <input type="hidden" name="<?php echo $this->get_field_name('author_image'); ?>" value="<?php echo $instance['author_image'];?>" class="author_image">
            <div class="image_show">
               <img src="<?php echo $instance['author_image'];?>" width="100" height="auto" alt="">
            </div>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('author_name'); ?>"><?php _e('Author Name:','wordify'); ?> </label>
            <input type="text" name="<?php echo $this->get_field_name('author_name'); ?>" id="<?php echo $this->get_field_id('author_name'); ?>" class="widefat" value="<?php echo $instance['author_name'];?>">
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('author_desc'); ?>"><?php _e('Author Description:','wordify'); ?> </label>
            <textarea class="widefat" id="<?php echo $this->get_field_id('author_desc'); ?>" name="<?php echo $this->get_field_name('author_desc'); ?>" style="height: 115px;"><?php echo $instance['author_desc'];?></textarea>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('cv_link'); ?>"><?php _e('CV Link:','wordify'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('cv_link'); ?>" name="<?php echo $this->get_field_name('cv_link'); ?>" value="<?php echo $instance['cv_link'];?>"></input>
        </p>
        <h3 class="sc_link_class"><?php _e('Socials Link:','wordify'); ?></h3>
        <p>
            <label for="<?php echo $this->get_field_id('au_facebook'); ?>"><?php _e('Facebook:','wordify')?> </label>
            <input type="text" name="<?php echo $this->get_field_name('au_facebook'); ?>" id="<?php echo $this->get_field_id('au_facebook'); ?>" class="widefat" value="<?php echo $instance['au_facebook'];?>">
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('au_twitter'); ?>"><?php _e('Twitter:','wordify')?> </label>
            <input type="text" name="<?php echo $this->get_field_name('au_twitter'); ?>" id="<?php echo $this->get_field_id('au_twitter'); ?>" class="widefat" value="<?php echo $instance['au_twitter'];?>">
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('au_instagram'); ?>"><?php _e('Instagram:','wordify')?> </label>
            <input type="text" name="<?php echo $this->get_field_name('au_instagram'); ?>" id="<?php echo $this->get_field_id('au_instagram'); ?>" class="widefat" value="<?php echo $instance['au_instagram'];?>">
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('au_youtube_play'); ?>"><?php _e('Youtube Play:','wordify')?> </label>
            <input type="text" name="<?php echo $this->get_field_name('au_youtube_play'); ?>" id="<?php echo $this->get_field_id('au_youtube_play'); ?>" class="widefat" value="<?php echo $instance['au_youtube_play'];?>">
        </p>
        <?php 
    }
} 

