<?php
/**
 * CV: Latest Posts
 *
 * Widget show the post tags
 *
 * @package wordifyVibrant
 * @subpackage wordify Post tags
 * @since 1.0.0
 */
class wordify_posts_tags extends WP_Widget{
    public function __construct(){
        parent:: __construct('wordify_posts_tags','CV: Post Tags', array(
            'description' => __('A widget to display the posts tags.', 'wordify')
        ));
    }
    public function widget($args, $instance){

        echo $args['before_widget'].$args['before_title'].$instance['cat_title'].$args['after_title']; ?>
            <ul class="tags">
                
                <?php 
                    $posts_tags = get_terms('post_tag', array(
                        'orderby'  => 'id',
                        'order'    => 'DESC',
                        'hide_empty' => false,
                    ));                     
                    foreach( $posts_tags as $single_posts_tags){ 
                        $tag_link = get_tag_link( $single_posts_tags->term_id );

                        echo '<li><a href="'.$tag_link.'">'.$single_posts_tags->name.'</a></li>';

                    }
                ?>
            </ul>
        <?php echo $args['after_widget'];
    }
    public function form($instance){ 
        ?>
        <p>
            <label for="<?php echo $this->get_field_name('cat_title'); ?>"><?php echo esc_html__('Title:','wordify');?> </label>
            <input type="text" name="<?php echo $this->get_field_name('cat_title'); ?>" id="<?php echo $this->get_field_id('cat_title'); ?>" class="widefat" value="<?php echo $instance['cat_title'];?>">
        </p>
        <?php 
    }
} 
