<?php
/**
 * CV: Latest Posts
 *
 * Widget show the latest post Categories
 *
 * @package wordifyVibrant
 * @subpackage wordify Post Categories
 * @since 1.0.0
 */
class wordify_posts_categories extends WP_Widget{
    public function __construct(){
        parent:: __construct('wordify_posts_categories','CV: Post Categories', array(
            'description' => __('A widget to display the posts categories.', 'wordify')
        ));
    }
    public function widget($args, $instance){

        echo $args['before_widget'].$args['before_title'].$instance['cat_title'].$args['after_title']; ?>
            <ul class="categories">
                <?php 
                    $postcategories = get_categories('category', array(
                        'orderby'  => 'id',
                        'order'    => 'DESC',
                        'hide_empty' => false,
                    ));                     
                    foreach( $postcategories as $single_postcategories){ 
                        $category_id = get_cat_ID( $single_postcategories->name );

                        // Get the URL of this category
                        $category_link = get_category_link( $category_id );
                       
                        ?>
                        <li><a href="<?php echo esc_url( $category_link ); ?>"><?php echo $single_postcategories->name?> 
                        <span>
                            <?php if(isset($instance['post_count_show'])) : ?>
                            (<?php echo $single_postcategories->category_count; ?>)
                            <?php endif; ?>
                        </span></a></li>
                        <?php 
                    }
                ?> 
            </ul>
        <?php echo $args['after_widget'];
    }
    public function form($instance){ 
        ?>
        <p>
            <label for="<?php echo $this->get_field_name('cat_title'); ?>"><?php echo esc_html__('Title:','wordify');?> </label>
            <input type="text" name="<?php echo $this->get_field_name('cat_title'); ?>" id="<?php echo $this->get_field_id('cat_title'); ?>" class="widefat" value="<?php echo $instance['cat_title'];?>">
        </p>
        <p>
            <input class="checkbox" type="checkbox" <?php if(isset($instance['post_count_show'])){echo 'checked="checked"'; }?> id="<?php echo $this->get_field_id('post_count_show'); ?>" name="<?php echo $this->get_field_name('post_count_show'); ?>">
            <label for="<?php echo $this->get_field_name('post_count_show'); ?>"><?php _e('Show post counts', 'wordify');?></label>
        </p>
        <?php 
    }
} 
