<?php
/**
 * CV: Author Info
 *
 * Widget show the Sidebar Search
 *
 * @package wordifyVibrant
 * @subpackage wordify Custom Header
 * @since 1.0.0
 */

class blog_sidebar_widget extends WP_Widget{
    public function __construct(){
        parent:: __construct('blog_sidebar_widget','CV: Sidebar Search', array(
            'description' => __('Select the user to display the Sidebar Search.', 'wordify')
        ));
    }
    public function widget($args, $instance){
        echo $args['before_widget']; ?>
        <form action="<?php echo esc_url(site_url()); ?>" method="GET" class="search-form">
          <div class="form-group">
            <span class="icon fa fa-search"></span>
            <input name="s" type="text" class="form-control" id="s" placeholder="Type a keyword and hit enter">
          </div>
        </form>
        <?php echo $args['after_widget'];
    }
    public function form($instance){ 
        ?>
        <p>
            <label for="<?php echo $this->get_field_name('search_title'); ?>"><?php echo esc_html__('Title:','wordify');?></label>
            <input type="text" name="<?php echo $this->get_field_name('search_title'); ?>" id="<?php echo $this->get_field_id('search_title'); ?>" class="widefat" value="<?php echo $instance['search_title'];?>">
        </p>
        <?php 
    }
} 

