<?php
/**
 * CV: Author Info
 *
 * Widget show the Footer Social Links
 *
 * @package wordifyVibrant
 * @subpackage wordify Footer Social Links
 * @since 1.0.0
 */

class footer_social_link_widget extends WP_Widget{
    public function __construct(){
        parent:: __construct('footer_social_link_widget','CV: Social Link', array(
            'description' => __('Select the user to display the Social Link.', 'wordify')
        ));
    }
    public function widget($args, $instance){
        echo $args['before_widget'].$args['before_title'].$instance['social_title'].$args['after_title']; ?>
        <ul class="list-unstyled footer-social">

            <?php 

            echo ($instance['fo_twitter_link'] != '') ? '<li><a href="'.$instance['fo_twitter_link'].'" target="_blank"><span class="fa fa-twitter"></span> Twitter</a></li>' : '';

            echo ($instance['fo_facebook_link'] != '') ? '<li><a href="'.$instance['fo_facebook_link'].'" target="_blank"><span class="fa fa-facebook"></span> Facebook</a></li>' : '';

            echo ($instance['fo_instagram_link'] != '') ? '<li><a href="'.$instance['fo_instagram_link'].'" target="_blank"><span class="fa fa-instagram"></span> Instagram</a></li>' : '';

            echo ($instance['fo_vimeo_link'] != '') ? '<li><a href="'.$instance['fo_vimeo_link'].'" target="_blank"><span class="fa fa-vimeo"></span> Vimeo</a></li>' : '';

            echo ($instance['fo_youtube_link'] != '') ? '<li><a href="'.$instance['fo_youtube_link'].'" target="_blank"><span class="fa fa-youtube-play"></span> Youtube</a></li>' : '';

            echo ($instance['fo_snapshot_link'] != '') ? '<li><a href="'.$instance['fo_snapshot_link'].'" target="_blank"><span class="fa fa-snapchat"></span> Snapshot</a></li>' : '';
            ?>
        </ul>
        <?php echo $args['after_widget'];
    }
    public function form($instance){ 
        ?>
        <h3 class="sc_link_class">Socials Link: </h3>
        <p>
            <label for="<?php echo $this->get_field_id('social_title'); ?>"><?php echo esc_html__('Title:','wordify');?> </label>
            <input type="text" name="<?php echo $this->get_field_name('social_title'); ?>" id="<?php echo $this->get_field_id('social_title'); ?>" class="widefat" value="<?php echo $instance['social_title'];?>">
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('fo_twitter_link'); ?>"><?php _e('Twitter:','wordify'); ?> </label>
            <input type="text" name="<?php echo $this->get_field_name('fo_twitter_link'); ?>" id="<?php echo $this->get_field_id('fo_twitter_link'); ?>" class="widefat" value="<?php echo $instance['fo_twitter_link'];?>">
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('fo_facebook_link'); ?>"><?php _e('Facebook:','wordify'); ?> </label>
            <input type="text" name="<?php echo $this->get_field_name('fo_facebook_link'); ?>" id="<?php echo $this->get_field_id('fo_facebook_link'); ?>" class="widefat" value="<?php echo $instance['fo_facebook_link'];?>">
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('fo_instagram_link'); ?>"><?php _e('Instagram:','wordify'); ?> </label>
            <input type="text" name="<?php echo $this->get_field_name('fo_instagram_link'); ?>" id="<?php echo $this->get_field_id('fo_instagram_link'); ?>" class="widefat" value="<?php echo $instance['fo_instagram_link'];?>">
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('fo_vimeo_link'); ?>"><?php _e('Vimeo:','wordify'); ?> </label>
            <input type="text" name="<?php echo $this->get_field_name('fo_vimeo_link'); ?>" id="<?php echo $this->get_field_id('fo_vimeo_link'); ?>" class="widefat" value="<?php echo $instance['fo_vimeo_link'];?>">
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('fo_youtube_link'); ?>"><?php _e('Youtube:','wordify'); ?> </label>
            <input type="text" name="<?php echo $this->get_field_name('fo_youtube_link'); ?>" id="<?php echo $this->get_field_id('fo_youtube_link'); ?>" class="widefat" value="<?php echo $instance['fo_youtube_link'];?>">
        </p>
        <p>
            <label for="<?php echo $this->get_field_id('fo_snapshot_link'); ?>"><?php _e('Snapshot:','wordify'); ?> </label>
            <input type="text" name="<?php echo $this->get_field_name('fo_snapshot_link'); ?>" id="<?php echo $this->get_field_id('fo_snapshot_link'); ?>" class="widefat" value="<?php echo $instance['fo_snapshot_link'];?>">
        </p>
        <?php 
    }
} 

