<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package wordifyVibrant
 * @subpackage wordify Functions
 * @since 1.0.0
 */
get_header(); 
?>
<!-- END section -->
<section class="site-section py-sm searchSection">
  <div class="container">
    <div class="row blog-entries">
        <div class="col-md-12 col-lg-8 main-content">
	        <div class="row">
	            <?php if ( have_posts() ) : ?>
					<h1 class="mb-4">
						<?php
						/* translators: %s: search query. */
						printf( esc_html__( 'Search Results for: %s', 'wordify' ), '<span>' . get_search_query() . '</span>' );
						?>
					</h1>
				<?php
				/* Start the Loop */
				while ( have_posts() ) :
					the_post();
					/**
					 * Run the loop for the search to output the results.
					 * If you want to overload this in a child theme then include a file
					 * called content-search.php and that will be used instead.
					 */
					?>
                    <div class="col-md-6">
			            <a href="<?php the_permalink(); ?>" class="blog-entry element-animate" data-animate-effect="fadeIn">
			                <?php if ( '' !== get_the_post_thumbnail() && ! is_single() ) : ?>
			                  <img src="<?php the_post_thumbnail_url(); ?>">
			                <?php endif; ?>
			                <div class="blog-content-body">
				                <div class="post-meta">
				                    <span class="author mr-2">
				                      <?php if($avatar = get_avatar(get_the_author_meta('ID')) !== FALSE): ?>
				                      <?php echo get_avatar( get_the_author_meta( 'ID' ), 32 ); ?> <?php the_author(); ?>
				                      <?php else: ?>
				                      <img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/person_1.jpg" alt="">  
				                      <?php endif; ?>
				                    </span>&bullet;
				                    <span class="mr-2"><?php echo get_the_date('M d, Y'); ?> </span> &bullet;
				                    <span class="ml-2"><span class="fa fa-comments"></span> 3</span>
				                </div>
				                <?php echo '<h2>'.get_the_title().'</h2>'; ?>
			                </div>
			            </a>
			        </div>
					<?php 
				endwhile;
				else :
					?>
                    <p><?php _e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'wordify' ); ?></p>
                    <?php
				endif;
				?>
	        </div>
	        <div class="row mt-5">
		        <div class="col-md-12 text-center">
		            <nav aria-label="Page navigation" class="text-center">
			            <ul class="pagination">
			                <?php 
			                the_posts_pagination(
			                  array(
			                    'mid_size' => 2,
			                    'prev_text'          => __( '<li class="page-item">&lt;</li>', 'wordify' ),
			                    'next_text'          => __( '<li class="page-item">&gt;</li>', 'wordify' ),
			                    'before_page_number' => __( '', 'wordify' ),
			                    'screen_reader_text' => ' ',
			                  )
			                );
			                ?>
			            </ul>
		            </nav>
		        </div>
	        </div>
        </div>
        <?php get_sidebar(); ?>
    </div>
  </div>
</section>
<?php 
get_footer(); ?>
