<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package wordifyVibrant
 * @subpackage wordify Custom Header
 * @since 1.0.0
 */
get_header(); ?>
<section class="site-section py-lg">
  <div class="container">
    <div class="row blog-entries element-animate">
        <?php 
          while(have_posts()) : the_post(); 
        ?>
        <div class="col-md-12 col-lg-8 main-content <?php post_class(); ?>">
          <?php 
          if ( '' !== get_the_post_thumbnail_url() && is_single() ) : ?>
            <img src="<?php the_post_thumbnail_url();?>" alt="Image" class="img-fluid mb-5">
          <?php endif;?>
          <div class="post-meta">
            <span class="author mr-2">
              <?php if($avatar = get_avatar(get_the_author_meta('ID')) !== FALSE): ?>
              <?php echo get_avatar( get_the_author_meta( 'ID' ), 32 ); ?> <?php the_author(); ?>
              <?php else: ?>
              <img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/person_1.jpg" alt="">  
              <?php endif; ?>
            </span>&bullet;
            <span class="mr-2"><?php echo get_the_date('M d, Y'); ?> </span> &bullet;
            <span class="ml-2"><span class="fa fa-comments"></span> 3</span>
          </div>
          <?php echo '<h1 class="mb-4">'.get_the_title().'</h1>'; ?>
          <div class="pt-5">
              <?php 
              // Single Post Categories

              _e('Categories: ','wordify');
              $categories = get_the_category();
              $separator = ' ';
              $output = '';
              if ( ! empty( $categories ) ) {
              foreach( $categories as $category ) {
                $output .= '<a href="' . esc_url( get_category_link( $category->term_id ) ) . '" alt="' . esc_attr( sprintf( __( 'View all posts in %s', 'wordify' ), $category->name ) ) . '">' . esc_html( $category->name ) . '</a>' . $separator;
              }
              echo trim( $output, $separator );
              }

              // Single Posts Tags

              _e(' Tags: ','wordify');
              the_tags();
              ?>
            </p>
          </div>
        <div class="post-content-body"><?php the_content(); ?></div>
        <?php 
          wp_link_pages( array(
            'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'wordify' ),
            'after'  => '</div>',
          ) );
        ?>
        <?php 
        // If comments are open or we have at least one comment, load up the comment template.
        if ( comments_open() || get_comments_number() ) :
          comments_template();
        endif;
        ?>
      </div>
      <?php endwhile; ?>
      <?php get_sidebar(); ?>
    </div>
  </div>
</section>
<section class="py-5">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <h2 class="mb-3 "><?php _e('Related Post','wordify');?></h2>
      </div>
    </div>
    <div class="row">
      <?php
        $related = get_posts( array( 
          'category__in' => wp_get_post_categories($post->ID), 
          'numberposts' => 5, 
          'post__not_in' => array($post->ID) ) 
        );
        if( $related ) foreach( $related as $post ) {
        setup_postdata($post); ?>
          <div class="col-md-6 col-lg-4">
            <div class="a-block sm d-flex align-items-center height-md" style="background-image: url('<?php the_post_thumbnail_url();?>'); ">
              <div class="text">
                <div class="post-meta">
                  <?php 
                    // Single Post Category name
                    $category_detail=get_the_category($post->ID);
                    foreach($category_detail as $cd){
                      echo '<span class="category">'.$cd->cat_name.'</span>';
                    }
                    // Single Post date
                    echo '<span class="mr-2">'.get_the_date('M d, Y').'</span>';
                  ?>
                  <span class="ml-2"><span class="fa fa-comments"></span> <?php comments_popup_link( '0', '1', '%', 'comments-link', 'Comments off');?></span>
                </div>
                <h3 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
              </div>
            </div>
          </div>
        <?php }
        wp_reset_postdata(); 
      ?>
    </div>
  </div>
</section>
<!-- END section -->
<?php get_footer(); ?>